<template>
  <ion-page>
    <ion-header :translucent="true">
      <ion-toolbar>
        <ion-buttons slot="start">
          <ion-menu-button color="primary"></ion-menu-button>
        </ion-buttons>
        <ion-title>My Operations</ion-title>
      </ion-toolbar>
    </ion-header>

    <ion-content :fullscreen="true">
      <ion-header collapse="condense">
        <ion-toolbar>
          <ion-title size="large">Orbit Situation</ion-title>
        </ion-toolbar>
      </ion-header>


      <ion-card v-if="CCDM">
        {{ CCDM }}
                         
        <ion-grid>
          <ion-row auto-hide="false"
                   v-for="(p, i) in CCDM"
                   :key="i"
                   >
          <ion-col>
            <ion-list>
                <ion-list-header>
                  <ion-label>
                    conjunction consensus 
                    <p>
                    {{p.pc}} probability collision at {{p.distance_m}}m. missed distance.
                    </p>
                  </ion-label>
                </ion-list-header>

                <ion-item width="100%" 
                          button detail="true" :detailIcon="caretForwardOutline"
                          >
                  <ion-chip>
                    <ion-label>
                      {{p.rso_list[0].name}}
                    </ion-label>
                    <ion-icon :icon="pin" color="primary"></ion-icon>
                  </ion-chip>
                  <ion-progress-bar
                    value="0.2"
                    buffer="0.5">
                  </ion-progress-bar>
                  <ion-chip>
                    <ion-label>
                      {{p.rso_list[1].name}}
                    </ion-label>
                    <ion-icon :icon="pin" color="primary"></ion-icon>
                  </ion-chip>
                </ion-item>
            </ion-list>
          </ion-col>
          </ion-row>
        </ion-grid>
        <br />
        <br />
      </ion-card>

    </ion-content>
  </ion-page>
 
</template>

<script setup lang="ts">
  import {
      IonPage, IonToolbar, IonTitle,
      IonCol, IonGrid, IonRow, IonCard,
      IonContent, IonHeader, IonMenuButton,
      IonButtons,
      IonList, IonListHeader, IonItem, IonLabel,
      IonChip, IonProgressBar
  } from '@ionic/vue';
  import { pin } from 'ionicons/icons';
  import { ref, onMounted } from 'vue';
  
  // import OrbitStateValue from '../components/widgets/OrbitStateValue.vue';
  import { StmService } from '../spacedao';
  
  const CCDM = ref([
                    { rso_list: [
                      {name:"BOBCAT1"},
                      {name:"KSF2-D"}],
                      pc: 0.003,
                      consensesus_level: 0.5
                    },
                    { rso_list: [
                      {name:"STARLINK-5117"},
                      {name:"SPACEBEENZ-20"}],
                      pc: 0.3,
                      consensesus_level: 0.5
                    }
                    ]);

  onMounted(async () =>
    {
      StmService.getConsensusAppStmV1CdmConsensusRequestIdGet("requestidisidisid")
        .then((response) => {
          this.CCDM.value = response.data;
        })
    });
  
  /*
  import { 
      personCircle,
      searchCircle 
  } from 'ionicons/icons';
  */ 
  
</script>

<style scoped>
  ion-chip {
      width: 18em;
  }
  ion-list, ion-item {
      width: 100%;
  }
  ion-whatever {
      width: 80%;
  }
  ion-progress-bar::part(track) {
    background: #9955ff;
  }

  ion-progress-bar::part(progress) {
    background: #a3d745;
  }

  ion-progress-bar::part(stream) {
    background-image: radial-gradient(ellipse at center, #9955ff 2%, #a3d745 30%, transparent 30%);
  }
</style>
